--- perfstat.sh	Fri Oct 28 15:19:15 2005
+++ perfstat-with-darwin.sh	Fri Oct 28 16:29:57 2005
@@ -30,7 +30,6 @@
 # v6.11 12-20-04: Clarify profile usage.
 # v6.10 12-08-04: Add AIX device info, fix ontap version check, OpenBSD support
 # v6.07 10-28-04: Fix -b/-e, pretend, sysstat -M
-# v6.06 09-28-04: Histo interval implies no_stutter_statit; FreeBSD cleanup, timestamp to bg files
 # v6.05 09-14-04: Add histo_interval option.
 # v6.04 09-07-04: Add exclude option.
 # v6.03 09-02-04: Fix license issue. Misc cleanup.
@@ -78,7 +77,8 @@
 	echo "    - Perfstat is capable of capturing info from host(s) and"
 	echo "      NetApp filers simultaneously."
 	echo "    - Currently perfstat supports these OS platforms:"
-	echo "      Solaris, HP-UX, OSF1, Linux, AIX, FreeBSD,OpenBSD"
+	echo "      Solaris, HP-UX, OSF1, Linux, AIX,"
+	echo "	    FreeBSD, OpenBSD, Darwin (MacOSX)"
 	echo "    - Perfstat is typically ran as root from the host or"
 	echo "      as a user with root level permissions"
 	echo "    - For filer data capture, the user must have RSH"
@@ -1019,6 +1019,10 @@
 			do_client_background "vmstat $histo_interval $histo_count" "vmstat.out"
 			do_client_background "iostat $histo_interval $histo_count" "iostat.out"
 			;;
+			"Darwin")
+			do_client_background "vm_stat $histo_interval $histo_count" "vmstat.out"
+			do_client_background "iostat $histo_interval $histo_count" "iostat.out"
+			;;
 			"OpenBSD")
 			do_client_background "vmstat $histo_interval $histo_count" "vmstat.out"
 			do_client_background "iostat $histo_interval $histo_count" "iostat.out"
@@ -2149,6 +2153,15 @@
 		fi
 	fi
 
+	if [ "$machineos" = Darwin ] ; then
+		if [ -z "$MONITOR" ] ; then
+			echo "/sbin/dmesg | tail -200" >> $CONFCMDS
+			echo "uname -r" >> $CONFCMDS
+			echo "cat /etc/fstab" >> $CONFCMDS
+			echo "/sbin/ifconfig -a" >> $CONFCMDS
+			echo "mount" >> $CONFCMDS
+		fi
+	fi
 
 	if [ "$machineos" = SunOS ] ; then
 		if [ -z "$MONITOR" ] ; then
@@ -2347,9 +2360,23 @@
 	if [ "$machineos" = FreeBSD ] ; then
 		if [ -z "$MONITOR" ] ; then
 			echo "netstat -i" >> $PERFCMDS
+			echo "vmstat" >> $PERFCMDS
 		fi
 	fi
 
+	if [ "$machineos" = Darwin ] ; then
+		if [ -z "$MONITOR" ] ; then
+			echo "netstat -i" >> $PERFCMDS
+			echo "/usr/bin/vm_stat" >> $PERFCMDS
+			echo "/usr/sbin/iostat" >> $PERFCMDS
+			echo "/usr/sbin/iostat -I" >> $PERFCMDS
+		fi
+
+                if [ $NFS = TRUE ] ; then
+                        echo "nfsstat -c" >> $PERFCMDS
+                fi
+
+	fi
 
 	if [ "$machineos" = SunOS ] ; then
 		if [ -z "$MONITOR" ] ; then
@@ -2441,7 +2468,13 @@
 		fi
 	fi
 
+	if [ "$machineos" = Darwin ] ; then
+		if [ -z "$MONITOR" ] ; then
+			:
+		fi
+	fi
 
+	
 	if [ "$machineos" = SunOS ] ; then
 		if [ -z "$MONITOR" ] ; then
 			:
@@ -2528,6 +2561,18 @@
 
 	fi
 
+	if [ "$machineos" = Darwin ] ; then
+		if [ -z "$MONITOR" ] ; then
+			echo "netstat -i" >> $PERFCMDS
+			echo "netstat -I" >> $PERFCMDS
+			echo "/usr/bin/vm_stat" >> $PERFCMDS
+		fi
+
+		if [ $NFS = TRUE ] ; then
+			echo "nfsstat -c" >> $PERFCMDS
+		fi
+
+	fi
 
 	if [ "$machineos" = SunOS ] ; then
 		if [ -z "$MONITOR" ] ; then
@@ -3162,6 +3207,7 @@
 	AIX) ;;
 	FreeBSD) ;;
 	OpenBSD) ;;
+	Darwin) ;;
 	*)
 		echo "Error: Unsupported client OS: $os"
 		exit 1
